{
  wayland.windowManager.hyprland.settings = {
    windowrule = [
      # Make all inactive windows transparent
      "match:class .*, opacity 1 0.8"
      "match:class firefox, match:title (?i).*bitwarden.*, no_screen_share on"

      # PiP
      "match:title ^(Picture(-| )in(-| )[Pp]icture)$, float 1"
      "match:title ^(Picture(-| )in(-| )[Pp]icture)$, pin 1"
      "match:title ^(Picture(-| )in(-| )[Pp]icture)$, size 400 225"
      "match:title ^(Picture(-| )in(-| )[Pp]icture)$, move monitor_w-window_w-20 monitor_h-window_h-20"
      "match:title ^(Picture(-| )in(-| )[Pp]icture)$, hyprbars:no_bar on"
    ];
    workspace = [
    ];
  };
}
